@ECHO off
:comienzo
ECHO 1. Opcion Uno:Formatear Disket
ECHO 2. Opcion Dos:Mostrar directorios en pantalla
ECHO 3. Opcion Tres:Ubicar en cola de impresión los ficheros deseados
ECHO 0. SALIR

CHOICE /c:1230 Elige Opcion
Cls

IF ERRORLEVEL 4 GOTO CERO
IF ERRORLEVEL 3 GOTO TRES
IF ERRORLEVEL 2 GOTO DOS
IF ERRORLEVEL 1 GOTO UNO



:UNO
ECHO Introduzca un disket
Format a:
Choice Desea Continuar?
IF ERRORLEVEL 2 GOTO CERO
IF ERRORLEVEL 1 GOTO Comienzo
:DOS
ECHO Mostrando directorios en pantalla
DIR C: |SORT /+10 |More
PAUSE
Choice Desea Continuar?
IF ERRORLEVEL 2 GOTO CERO
IF ERRORLEVEL 1 GOTO Comienzo
:TRES
Echo Cola de impresión
FOR %%s IN (*.txt) DO call fichero1.bat %%s
Type lista.txt
Choice Desea Continuar?
IF ERRORLEVEL 2 GOTO CERO
IF ERRORLEVEL 1 GOTO comienzo
:CERO 
EXIT